%global _hardened_build 1
# TODO before acceptance
#tcpcrypt.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/tcs ['/usr/lib64']
#tcpcrypt.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/tcnetstat ['/usr/lib64']
#tcpcrypt.x86_64: E: missing-call-to-setgroups /usr/bin/tcs
#tcpcrypt.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/tcs
#tcpcrypt.x86_64: E: missing-call-to-setgroups /usr/bin/tcpcryptd
#tcpcrypt.x86_64: E: missing-call-to-chdir-with-chroot /usr/bin/tcpcryptd

%global commit c8b7efa288a479e8850388990e58162871505b85
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary: Opportunistically encrypt TCP connections
Name: tcpcrypt
Version: 0
Release: 0.%{shortcommit}%{?dist}

Group: System Environment/Libraries
License: BSD
Url: http://tcpcrypt.org/
Source0: https://github.com/sorbo/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
BuildRequires: openssl-devel libnetfilter_queue-devel libcap-devel
#BuildRequires: libtool, autoconf, automake

%description
Provides a protocol that attempts to encrypt (almost) all of your
network traffic. Unlike other security mechanisms, Tcpcrypt works out
of the box: it requires no configuration, no changes to applications,
and your network connections will continue to work even if the remote
end does not support

%package devel
Summary: Development package that includes the tcpcrypt header files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The devel package contains the tcpcrypt library and the include files

%package libs
Summary: Libraries used by tcpcryptd server and tcpcrypt-aware applications
Group: Applications/System
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Contains libraries used by tcpcryptd server and tcpcrypt-aware applications

%prep
%setup -qn %{name}-%{commit}

%build
cd user
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd user
make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
rm %{buildroot}%{_libdir}/*.la

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%doc README.markdown LICENSE
%{_libdir}/libtcpcrypt.so.*

%files
%doc README.markdown LICENSE
%{_bindir}/tcs
%{_bindir}/tcnetstat
%{_bindir}/tcpcryptd
#%{_mandir}/man1/*

%files devel
%{_libdir}/libtcpcrypt.so
%dir %{_includedir}/tcpcrypt
%{_includedir}/tcpcrypt/*.h
#%{_mandir}/man3/*

%changelog
* Thu Jul 24 2014 Paul Wouters <pwouters@redhat.com> - 0.0.c8b7efa-1
- Initial package for review

